package salaComunitaria.entities;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;

@Entity
//@DiscriminatorValue("SALES")
public class SaleEvent extends Event {

	@ManyToMany
	@JoinTable(	name="SOLD_BATCHES",
				joinColumns=@JoinColumn(name="EVENT_ID"),
				inverseJoinColumns=@JoinColumn(name="BATCH_ID")
	)
	private Set<Batch> soldBatches;
	
	@ManyToOne
	@JoinTable( name="SOLD_TO")
	private SalesChannel saleChannel;
	
	@Column(nullable=false)
	private double quantitySold;

	@Column(nullable=false)
	private String unit;

	@Column(nullable=false)
	private double cost;

	public SaleEvent() {
		super();
	}

	public Set<Batch> getSoldBatches() {
		return soldBatches;
	}

	public void setSoldBatches(Set<Batch> soldBatches) {
		this.soldBatches = soldBatches;
	}

	public double getQuantitySold() {
		return quantitySold;
	}

	public void setQuantitySold(double quantitySold) {
		this.quantitySold = quantitySold;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public double getCost() {
		return cost;
	}

	public void setCost(double cost) {
		this.cost = cost;
	}
	
}
