package salaComunitaria.entities;

import java.util.Set;

import javax.persistence.*;

@Entity
@Table(name="USERS")
public class User {

	//Attributes
	@Id @GeneratedValue
	@Column(name="USER_ID")
	private long id;
	
	@Column(nullable=false)
	private String name;
	
	@Column(nullable=false)
	private String password;

	@Column(nullable=false)
	private String surname;
	
	@Column(nullable=false)
	private String role;
	
	@Column(nullable=false, unique = true)
	private String email;
	
	@Column(nullable=false)
	private String phone;
	
	@OneToMany(mappedBy = "user")
	private Set<Event> event;
	
	
	public User() {
		super();
	}

	//Getters and Setters
	public long getId() {
		return id;
	}


	public void setId(long id) {
		this.id = id;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}
	
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}


	public String getSurname() {
		return surname;
	}


	public void setSurname(String surname) {
		this.surname = surname;
	}


	public String getRole() {
		return role;
	}


	public void setRole(String role) {
		this.role = role;
	}


	public String getEmail() {
		return email;
	}


	public void setEmail(String email) {
		this.email = email;
	}


	public String getPhone() {
		return phone;
	}


	public void setPhone(String phone) {
		this.phone = phone;
	}


	public Set<Event> getTransactions() {
		return event;
	}


	public void setTransactions(Set<Event> event) {
		this.event = event;
	}

	@Override
	public String toString() {
		return "User [id=" + id + ", name=" + name + ", surname=" + surname + ", role=" + role + ", email=" + email
				+ ", phone=" + phone + "]";
	}

	

	
	
	

}
