package salaComunitaria.objectsDAO;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import org.jvnet.hk2.annotations.Service;

import salaComunitaria.entities.Event;
import salaComunitaria.entities.User;
import salaComunitaria.interfacesDAO.EventDAO;

@Service 
public class EventDAOImpl extends GenericDAOImpl<Event> implements EventDAO{
	
    private EntityManagerFactory entityManagerFactory;

    public void saveEvent(Event event) {
    	entityManagerFactory = Persistence.createEntityManagerFactory("miUP");
        EntityManager em = entityManagerFactory.createEntityManager();
        EntityTransaction tx = em.getTransaction();

        try {
            tx.begin();

            if (event.getUser() != null) {
                User managedUser = em.find(User.class, event.getUser().getId());
                event.setUser(managedUser);
            }

            em.merge(event); 
            tx.commit();
        } catch (Exception e) {
            if (tx.isActive()) {
                tx.rollback();
            }
            e.printStackTrace();
        } finally {
            em.close();
        }
    }

}
